Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.search
Interface IUpdateSearchCategory

public interface IUpdateSearchCategory

This interface is used to encapsulate a particular Update search pattern. Each search category is free to scan sites using a specific algorithm. Search category must have a unique ID. The actual search is performed in search queries. A category can provide one or more queries to run during the search.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`String` | `getId()` Returns the unique identifier of this search category.
`IUpdateSearchQuery[]` | `getQueries()` Returns an array of update search queries that need to be run during the search.
`void` | `setId(String id)` Accepts the identifier assigned to this category during the registry reading.

Method Detail

### getId

    public String getId()

  Returns the unique identifier of this search category.

### setId

    public void setId(String id)

  Accepts the identifier assigned to this category during the registry reading.

### getQueries

    public IUpdateSearchQuery[] getQueries()

  Returns an array of update search queries that need to be run during the search.

  Returns:
    an arry of update search queries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.